aboutsummaryrefslogtreecommitdiffstats
path: root/tools/find_syncthing_conflicts
diff options
context:
space:
mode:
Diffstat (limited to 'tools/find_syncthing_conflicts')
-rwxr-xr-xtools/find_syncthing_conflicts9
1 files changed, 9 insertions, 0 deletions
diff --git a/tools/find_syncthing_conflicts b/tools/find_syncthing_conflicts
new file mode 100755
index 0000000..efdda15
--- /dev/null
+++ b/tools/find_syncthing_conflicts
@@ -0,0 +1,9 @@
+#!/usr/bin/bash
+set -euo pipefail
+
+readarray -t synced_folders_ids < <(syncthing cli config folders list)
+declare -a synced_folders_paths
+for f in "${synced_folders_ids[@]}"; do
+ synced_folders_paths+=("$(syncthing cli config folders "$f" path get)")
+done
+find "${synced_folders_paths[@]/#'~'/$HOME}" -name '*sync-conflict*'